<?php
namespace Elementor;

/**
 * Elementor Widget
 * @package Pubzi
 * @since 1.0.0
 */ 
 
class Price_Btn extends Widget_Base {

	/**
	 * Get widget name.
	 * Retrieve button widget name.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget name.
	 */
	public function get_name() {
		return 'pubzi-price-btn-widget';
	}

	/**
	 * Get widget title.
	 * Retrieve button widget title.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget title.
	 */
	public function get_title() {
		return esc_html__( 'Price Button', 'pubzi-core' );
	}

	/**
	 * Get widget icon.
	 * Retrieve button widget icon.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-flash';
	}

	/**
	 * Get widget categories.
	 * Retrieve the list of categories the button widget belongs to.
	 * Used to determine where to display the widget in the editor.
	 *
	 * @since  2.0.0
	 * @access public
	 * @return array Widget categories.
	 */
	public function get_categories()
    {
        return ['pubzi_widgets'];
    }
	
	/**
	 * Register button widget controls.
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function register_controls() {

		// Tab Start - 1

		$this->start_controls_section(
			'content_section',
			[
				'label' => __( 'Price Btn', 'pubzi-core' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->add_control(
		  'repeat', 
			[
				'type' => Controls_Manager::REPEATER,
				'separator' => 'before',
				'default' => 
					[
						['section_title' => esc_html__('Hello World', 'pubzi-core')],
					],
				'fields' => 
					[	

						'section_title' =>

						[
							'name' => 'section_title',
							'label' => esc_html__('Title', 'pubzi-core'),
							'type' => Controls_Manager::TEXTAREA,
							'default' => esc_html__('', 'pubzi-core')
						],
						
					],
				'title_field' => '{{section_title}}',
			 ]
	);
		
		
	$this->end_controls_section();	

	
		}

	/**
	 * Render button widget output on the frontend.
	 * Written in PHP and used to generate the final HTML.
	 *
	 * @since  1.0.0
	 * @access protected
	 */
	protected function render() {
		$settings = $this->get_settings_for_display();
		$allowed_tags = wp_kses_allowed_html('post');

		?>


			<div class="gt-pricing-wrapper m-0 p-0">
				<div class="gt-pricing-content m-0 p-0">
					<div class="d-flex">
						<div class="pricing-two__tab">
							<nav>
								<div class="nav nav-tabs" id="nav-tab" role="tablist">
									<?php foreach($settings['repeat'] as $key=>$item):?>
									<button class="nav-link <?php if($key == 1) echo 'active';?>" id="pt-1-tab<?php echo esc_attr($key);?>" data-bs-toggle="tab"
										data-bs-target="#pt-1<?php echo esc_attr($key);?>" type="button" role="tab" aria-controls="pt-1<?php echo esc_attr($key);?>"
										aria-selected="true"><?php echo wp_kses($item['section_title'], $allowed_tags);?></button>
									<?php endforeach; ?>
								</div>
							</nav>
						</div>
					</div>
				</div>
			</div>

             
		<?php 
	}


}

Plugin::instance()->widgets_manager->register_widget_type(new Price_Btn());